classification
Title: Possible refleaks in PyType_Ready in error condition
Type: behavior Stage: resolved
Components: Interpreter Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: python-dev, serhiy.storchaka, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-06-07 09:27 by xiang.zhang, last changed 2016-07-07 06:28 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
refleak_in_pytype_ready.patch xiang.zhang, 2016-06-07 09:27 review
Messages (3)
msg267607 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-06-07 09:27
As the title, in add_* used in PyType_Ready, the reference counts are not decreased when adding them to dict fails.
msg269876 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-07-06 10:12
ping
msg269921 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-07 06:28
New changeset f1fcf60863f8 by Benjamin Peterson in branch '3.5':
fix refleaks in PyDict_SetItem error cases (closes #27248)
https://hg.python.org/cpython/rev/f1fcf60863f8

New changeset 370b2985d462 by Benjamin Peterson in branch '2.7':
fix refleaks in PyDict_SetItem error cases (closes #27248)
https://hg.python.org/cpython/rev/370b2985d462

New changeset f7c180dbc070 by Benjamin Peterson in branch 'default':
merge 3.5 (#27248)
https://hg.python.org/cpython/rev/f7c180dbc070
History
Date User Action Args
2016-07-07 06:28:36python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg269921

resolution: fixed
stage: patch review -> resolved
2016-07-06 10:12:03xiang.zhangsetmessages: + msg269876
2016-06-07 10:16:51serhiy.storchakasettype: behavior
components: + Interpreter Core
stage: patch review
2016-06-07 09:27:23xiang.zhangcreate